import java.util.*;

/** A branch includes all enterprizes that produce the same kind
* of goods or services. It needs different kinds of real inputs.
* A branch can also represent final users of products or services.*/
public class Branch {

	/** Index of the branch.*/
	protected static int ibranch=1;
	/** The name of the branch.*/
	protected String szName = "";
	/** Vector of inputs measured real flows */
	protected Vector vrInputFlowOfBranch = new Vector();

	/** Reset branch index. */
	public static void resetIndex() { ibranch = 1; }

	/** Creates a branch.*/
	public Branch() {

		szName = "Branch" + ibranch;

		ibranch++;
	} // Branch

} // Branch