import javax.swing.*;

/** The dialog gives the choise of copy all time dependent data
* or reject copying.
* All values at the selected time will be copied to all other
* values of each variable.
*/
public class CopyDataDialog {

	/**
	* Opens a dialog for copying values.
	*/
	public CopyDataDialog() {

		Object[] options = {"Yes","No"};
		Double time = ECF.timeaxis.getSelectedTime();

		int n = JOptionPane.showOptionDialog(ECF.frameMain,
		    "This will copy values at time " + time + "\n" +
		    "to all other times of all variables." +
		      "Do you want to continue?",
		    "Copy values at selected time.",
		    JOptionPane.YES_NO_OPTION,
		    JOptionPane.WARNING_MESSAGE,
		    null,     //don't use a custom Icon
		    options,  //the titles of buttons
		    options[0]); //default button title

		if (n==0) ECF.modelTop.copyVariables();

	} // CopyDataDialog

} // class CopyDataDialog