import javax.swing.*;     // JDesktopPane
import java.awt.event.*;  // MouseListener
import java.awt.*;        // Cursor

public class DeleteTool extends AbstractECFTool {

	public DeleteTool(GraphsPanel panelGraphs) {
		super(panelGraphs);
	} // DeleteTool

	// Create ImageIcons, any class "ECFMainFrame" will do.
	public ImageIcon getImageIcon() {
		return new ImageIcon(ECFMainFrame.class.getResource("DeleteBtn.gif"));}
	public ImageIcon getSelectedImageIcon() {
		return new ImageIcon(ECFMainFrame.class.getResource("DeleteSelectedBtn.gif"));}
	public String getToolTipText() { return "Delete selected items";}
	public Cursor getMyCursor() { return new Cursor(Cursor.HAND_CURSOR);}

	public void buttonPressed() {
		ECF.modelOpen.deteteSelectedElements();
		panelGraphs.repaintAll();
	} // buttonPressed

	public String toString() {return "Delete tool";};

} // class DeleteTool
