import javax.swing.*;     // ImageIcon
import java.awt.*;        // Cursor
import java.awt.event.*;  // MouseListener

public interface ECFTool {

	public ImageIcon getImageIcon();
	public ImageIcon getSelectedImageIcon();
	public String getToolTipText();
	public void setCursor();
	public Cursor getMyCursor();
	public void install();
	public void buttonPressed();
	public void mousePressed(MouseEvent e, int ipanel);
	public void mouseReleased(MouseEvent e, int ipanel);
	public void mouseDragged(MouseEvent e, int ipanel);
	public void mouseMoved(MouseEvent e, LayerPanel panel);
	public void paint(Graphics2D g2, int ipanel);

} // interface ECFTool