// import javax.swing.*;
import java.awt.*;
// import java.awt.event.*;
import java.util.*;

/** The dialog set the properties of a flow.*/
public class FlowDialog extends VariableDialog {

	/** Creates a dialog for editing flow properties.
	* @param owner The owner of the dialog.
	* @param vrunits A vector of Units.
	* @param flow The Flow to be edited. */
	public FlowDialog(Flow flow) {
		super(ECF.frameMain,"Flow properties",flow);
	} // FlowDialog

	/** Sets flow dialog legends and
	* initializes position and content of the dialog. */
	protected void init() {
		// Check box legend.
		szCheckBoxPrescribedLegend = "Prescribe flow rate";
		// Canvas legend.
		szCanvasLegend = "Flow as a function of time";
		//
		super.init();
	} // init

} // class FlowDialog