/** A FlowPathHolder has flow paths which indices can be retrieved.
* <a href="ECFModel.html">ECFModel</a> and
* <a href="FrameConnectors.html">FrameConnectors</a>
* are flow path holders. */

public interface FlowPathHolder {

	/** Get the index of a flowpath.
	* @param flowpath The flowpath for which the index is wanted.
	* @return The index of the flowpath. */
	public int getFlowPathIndex(FlowPath flowpath);

} // FlowPathHolder