/* The SimpleQuantity interface defines methods that are
* common to quantities.
*/
public interface SimpleQuantity {

	/** Get the name. */
	public String getName();

	/** Get the units of the quantity.
	* @return The units of the quantity.*/
	public Units getUnits();

	/** Set the units of the quantity.
	* @param units The units of the quantity.*/
	public void setUnits(Units units);

	/** Set the name of the quantity.
	* @param The name of the quantity. */
	public void setName(String szName);

}// SimpleQuantity