// import javax.swing.*;
import java.awt.*;
// import java.awt.event.*;
import java.util.*;

/** The dialog set the properties of a source flow.*/
public class SourceFlowDialog extends VariableDialog {

	/** Creates a dialog for editing source flow properties.
	* @param owner The owner of the dialog.
	* @param flowSource The Flow to be edited. */
	public SourceFlowDialog(Flow flowSource) {
		super(ECF.frameMain,"Source flow properties",flowSource);
	} // SourceFlowDialog

	/** Sets flow dialog legends and
	* initializes position and content of the dialog. */
	protected void init() {
		// Check box legend.
		szCheckBoxPrescribedLegend = "Prescribe flow rate";
		// Canvas legend.
		szCanvasLegend = "Source flow as a function of time";
		//
		super.init();
	} // init

} // class SourceFlowDialog