import java.awt.*;        // Canvas, Graphics

public class SplitterCanvas extends Canvas {

	int width;
	int height = 200;
	Splitter splitter = null;

	SplitterCanvas(int width, Splitter splitter) {
		this.width = width;
		this.splitter= splitter;
		setSize(width,height);
		setBackground(Color.white);
	} // SplitterCanvas

	public void setSplitter(Splitter splitter) { this.splitter= splitter; }

	public void paint(Graphics g) {
		if (splitter==null) return;
		int yOrigin = height-60;
		int heightXAxis = yOrigin-20;
		int xOrigin = 20;
		int widthYAxis = width-xOrigin-50;
		splitter.paintRatioCurves(g, xOrigin, yOrigin, widthYAxis, heightXAxis);
	} // paint

} // SplitterCanvas
