% Results from the ECF program:       2005-sep-04;
% Model: Productivity.xml
% Time histories;
% =======================================;

Time=[0.0,1.0];
vrNameFlow{1}='Flow1(kwmy)';    vrFlow(1,:)=[5.0];
vrNameFlow{2}='Flow2(kpmy)';    vrFlow(2,:)=[10.0];
vrNameFlow{3}='Flow3(kwmy)';    vrFlow(3,:)=[1.0];


% Model time: 0.0;
% =======================================;

% Flows:
% 1: Flow: Flow1           PRESCRIBED 5 kwmy
% 2: Flow: Flow2           CALCULATED 10 kpmy
% 3: Flow: Flow3           CALCULATED 1 kwmy


% Compact view of the equation system:
%  1: x..|  5000
%  2: xx.|      0
%  3: .xx|      0


% Equation system:
% ----------------

% Assignments for constants:


% Matlab view of the equation system,
% a = system matrix, b = right member:

a=[1.0,0.0,0.0; ...
   2.0,-1.0,0.0; ...
   0.0,-1.0,10.0];

b=[5000.0,0.0,0.0];

% Flows:
x=a\b';

% All equations were used.
