import javax.swing.*;
import java.awt.event.*;
import java.awt.*;

public class ECFButton extends JButton implements ActionListener{

	/// String szIconFile;
	/// String szToolTipText;
	protected ButtonsPanel panelButtons;
	ECFTool tool;

	ECFButton (ButtonsPanel panelButtons, ECFTool tool) {
		this.panelButtons = panelButtons;
		this.tool = tool;
		setMargin(new Insets(1,1,1,1));
		setBorderPainted(true);
		setIcon(tool.getImageIcon());
		setSelectedIcon(tool.getSelectedImageIcon());
		setToolTipText(tool.getToolTipText());
		addActionListener(this);
	} // ECFButton

	public void actionPerformed(ActionEvent e) {
		tool.install();
		panelButtons.deselectButtons();
		setSelected(true);
	} // actionPerformed

} // ECFButton