import java.awt.*;        // Canvas, Graphics

public class FlowCanvas extends Canvas {

	int width;
	int height = 260;
	Flow flow = null;

	FlowCanvas(int width, Flow flow) {
		this.width = width;
		this.flow= flow;
		setSize(width,height);
		setBackground(Color.white);
	} // FlowCanvas

	public void setFlow(Flow flow) { this.flow= flow; }

	public void paint(Graphics g) {
		if (flow==null) return;
		int yOrigin = height-60;
		int heightXAxis = yOrigin-20;
		int xOrigin = 20;
		int widthYAxis = width-xOrigin-50;
		flow.paint(g, xOrigin, yOrigin, widthYAxis, heightXAxis);
	} // paint

} // FlowCanvas
