import javax.swing.*;     // JDesktopPane
import java.awt.*;        // Cursor
import java.awt.event.*;  // MouseListener

public class InputOutputTool extends AbstractECFTool {

	public InputOutputTool(GraphsPanel panelGraphs) {
		super(panelGraphs);
	} // InputOutputTool

	// Create ImageIcons, any class "ECFMainFrame" will do.
	public ImageIcon getImageIcon() {
		return new ImageIcon(ECFMainFrame.class.getResource("InputOutputBtn.gif"));}
	public ImageIcon getSelectedImageIcon() {
		return new ImageIcon(ECFMainFrame.class.getResource("InputOutputSelectedBtn.gif"));}
	public String getToolTipText() { return "Input-output not yet implemented";}
//	public String getToolTipText() { return "Add input-output process";}
	public Cursor getMyCursor() { return new Cursor(Cursor.CROSSHAIR_CURSOR);}

	public void mousePressed(MouseEvent e, int ipanel) {
		double scaleDisplay = ECFModel.scaleDisplay;
		int x = (int)(e.getX()/scaleDisplay);
		int y = (int)(e.getY()/scaleDisplay);
		ECF.modelOpen.addInputOutput(x,y);
		panelGraphs.repaintAll();
	} // mousePressed

	public String toString() {return "InputOutput tool";};

} // class InputOutputTool