import java.awt.*;

public abstract class PaintPainter implements Painter {

	protected Paint paint;
	protected static final Paint DefaultPaint = Color.white;

	protected PaintPainter(Paint paint) throws NullPointerException {
		setPaint(paint);
	} // PaintPainter

	protected PaintPainter() {
		setPaint(DefaultPaint);
	} // PaintPainter

	// paint property
	public void setPaint(Paint newPaint) throws NullPointerException {
		if(newPaint==null) throw new NullPointerException();
		this.paint = newPaint;
	} // PaintPainter

	public Paint getPaint() {
		return this.paint;
	} // getPaint

} // class PaintPainter