import java.awt.*;        // Canvas, Graphics

public class ProcessCanvas extends Canvas {

	int width;
	int height = 200;
	ECFProcess process = null;

	ProcessCanvas(int width, ECFProcess process) {
		this.width = width;
		this.process= process;
		setSize(width,height);
		setBackground(Color.white);
	} // ProcessCanvas

	public void setProcess(ECFProcess process) { this.process= process; }

	public void paint(Graphics g) {
		if (process==null) return;
		int yOrigin = height-60;
		int heightXAxis = yOrigin-20;
		int xOrigin = 20;
		int widthYAxis = width-xOrigin-50;
		process.paintProductivityCurves(g, xOrigin, yOrigin, widthYAxis, heightXAxis);
	} // paint

} // ProcessCanvas
