import javax.swing.*;     // JDesktopPane
import java.awt.event.*;  // MouseListener
import java.awt.*;        // Cursor

public class ProcessTool extends AbstractECFTool {

	public ProcessTool(GraphsPanel panelGraphs) {
		super(panelGraphs);
	} // ProcessTool

	// Create ImageIcons, any class "ECFMainFrame" will do.
	public ImageIcon getImageIcon() {
		return new ImageIcon(ECFMainFrame.class.getResource("ProcessBtn.gif"));}
	public ImageIcon getSelectedImageIcon() {
		return new ImageIcon(ECFMainFrame.class.getResource("ProcessSelectedBtn.gif"));}
	public String getToolTipText() { return "Add process";}
	public Cursor getMyCursor() { return new Cursor(Cursor.CROSSHAIR_CURSOR);}

	public void mousePressed(MouseEvent e, int ipanel) {
		double scaleDisplay = ECFModel.scaleDisplay;
		int x = (int)(e.getX()/scaleDisplay);
		int y = (int)(e.getY()/scaleDisplay);
		ECF.modelOpen.addProcess(ipanel,x,y);
		panelGraphs.repaintAll();
	} // mousePressed

	public String toString() {return "Process tool";};

} // class ProcessTool
