% Results from the ECF program:       2005-okt-01;
% Model: Import.xml
% Time histories;
% =======================================;

Time=[1.0,2.0,3.0];
vrNameFlow{1}='Flow3(kCU)';     vrFlow(1,:)=[19.99999999999999,60.0];
vrNameFlow{2}='Flow2(kCU)';     vrFlow(2,:)=[100.0,99.99999999999999];
vrNameFlow{3}='Flow1(kCU)';     vrFlow(3,:)=[0.0,24.999999999999996];
vrNameFlow{4}='Flow4(kCU)';     vrFlow(4,:)=[80.00000000000001,40.0];
vrNameFlow{5}='Flow5(kCU)';     vrFlow(5,:)=[0.0,0.0];
vrNameRatio{1}='FlowRatio( )';  vrRatio(1,:)=[0.1999999999999999,0.6000000000000001];
vrNameRatio{2}='FlowRatio( )';  vrRatio(2,:)=[0.8000000000000002,0.4000000000000001];
vrNameProductivity{1}='Productivity1(kCU/kCU)';  vrProductivity(1,:)=[Infinity,4.0];
vrNameProductivity{2}='Productivity5(kCU/kCU)';  vrProductivity(2,:)=[Infinity,Infinity];


% All equations were used.


% Model time: 2.0;
% =======================================;

% Flows:
% 1: Flow: Flow3           CALCULATED 60 kCU
% 2: Flow: Flow2           PRESCRIBED 100 kCU
% 3: Flow: Flow1           CALCULATED 25 kCU
% 4: Flow: Flow4           CALCULATED 40 kCU
% 5: Flow: Flow5           DEFAULT=0  


% Compact view of the equation system:
%  1: xx...|      0
%  2: .x...|    0,1
%  3: .xx..|      0
%  4: xx.x.|      0
%  5: ....x|      0


% Equation system:
% ----------------

% Assignments for constants, scaled values:

FlowRatio=0.6;
scaleFlowRatioCalc=1.0;
Productivity1=4.0;
scaleProductivity1Calc=1.0;

% Matlab view of the equation system,
% mxaSys = system matrix, vrbRM = right member:

mxaSys=[-1.0,0.6,0.0,0.0,0.0; ...
   0.0,1.0,0.0,0.0,0.0; ...
   0.0,-1.0,4.0,0.0,0.0; ...
   -1.0,1.0,0.0,-1.0,0.0; ...
   0.0,0.0,0.0,0.0,1.0];

vrbRM=[0.0,0.1,0.0,0.0,0.0];

% Flows:
vrflowSol=mxaSys\vrbRM';
% Flow scales:
vrscaleFlow=[1000000.0,1000000.0,1000000.0,1000000.0,1000000.0];
% Flows in base units:
vrflowBase = vrflowSol.*vrscaleFlow';