% Results from the ECF program:       2005-nov-15;
% Model: Layers-Units.xml
% Time histories;
% =======================================;

Time=[0.0,1.0];
vrNameFlow{1}='Flow1(kKr)';     vrFlow(1,:)=[0.0];
vrNameFlow{2}='Flow2(kKr)';     vrFlow(2,:)=[0.0];


% All equations were used.


% Model time: 0.0;
% =======================================;

% Flows:
% 1: 	Flow: Flow1           DEFAULT=0  
% 2: 	Flow: Flow2           DEFAULT=0  


% Compact view of the equation system:
%  1: x.|      0
%  2: .x|      0


% Equation system:
% ----------------

% Assignments for constants, scaled values:


% Matlab view of the equation system,
% mxaSys = system matrix, vrbRM = right member:

mxaSys=[1.0,0.0; ...
   0.0,1.0];

vrbRM=[0.0,0.0];

% Flows:
vrflowSol=mxaSys\vrbRM';
% Flow scales:
vrscaleFlow=[1000000.0,1000000.0];
% Flows in base units:
vrflowBase = vrflowSol.*vrscaleFlow';