% Results from the ECF program:       2005-sep-27;
% Model: Price.xml
% Time histories;
% =======================================;

Time=[0.0,1.0];
vrNameFlow{1}='m1(GKr)';        vrFlow(1,:)=[500.0000000000001];
vrNameFlow{2}='m2(GKr)';        vrFlow(2,:)=[500.0000000000001];
vrNameFlow{3}='w1(kwmy)';       vrFlow(3,:)=[1000.0];
vrNameFlow{4}='p2(kpmy)';       vrFlow(4,:)=[1200.0];
vrNamePrice{1}='Price_of_prod(GKr/kpmy)';  vrPrice(1,:)=[0.41666666666666674];
vrNamePrice{2}='Wage_level(GKr/kwmy)';  vrPrice(2,:)=[0.5];
vrNameProductivity{1}='Productivity(kpmy/kwmy)';  vrProductivity(1,:)=[1.2];


% All equations were used.


% Model time: 0.0;
% =======================================;

% Flows:
% 1: Flow: m1              CALCULATED 500 GKr
% 2: Flow: m2              CALCULATED 500 GKr
% 3: Flow: w1              PRESCRIBED 1,000 kwmy
% 4: Flow: p2              CALCULATED 1,200 kpmy


% Compact view of the equation system:
%  1: x.x.|      0
%  2: xx..|      0
%  3: ..x.|      1
%  4: ..xx|      0


% Equation system:
% ----------------

% Assignments for constants, scaled values:

Wage_level=0.5000000000000001;
scaleWage_levelCalc=999999.9999999999;
Productivity=1.2;
scaleProductivityCalc=1.0;

% Matlab view of the equation system,
% mxaSys = system matrix, vrbRM = right member:

mxaSys=[-1.0,0.0,0.5000000000000001,0.0; ...
   -1.0,1.0,0.0,0.0; ...
   0.0,0.0,1.0,0.0; ...
   0.0,0.0,1.2,-1.0];

vrbRM=[0.0,0.0,1.0,0.0];

% Flows:
vrflowSol=mxaSys\vrbRM';
% Flow scales:
vrscaleFlow=[9.999999999999999E11,9.999999999999999E11,1000000.0,1000000.0];
% Flows in base units:
vrflowBase = vrflowSol.*vrscaleFlow';