% Results from the ECF program:       2005-okt-22;
% Model: Source.xml
% Time histories;
% =======================================;

Time=[0.0,1.0];
vrNameFlow{1}='Public work(Mwmy)';  vrFlow(1,:)=[1.8];
vrNameFlow{2}='Private work(Mwmy)';  vrFlow(2,:)=[2.1999999999999993];
vrNameFlow{3}='Population(Mwmy)';  vrFlow(3,:)=[4.0];


% All equations were used.


% Model time: 0.0;
% =======================================;

% Flows:
% 1: 	Flow: Public work     PRESCRIBED= 1.8 Mwmy
% 2: 	Flow: Private work    CALCULATED= 2.2 Mwmy
% 3: 	Flow: Population      PRESCRIBED= 4 Mwmy


% Compact view of the equation system:
%  1: x..|   0,45
%  2: xxx|      0
%  3: ..x|      1


% Equation system:
% ----------------

% Assignments for constants, scaled values:


% Matlab view of the equation system,
% mxaSys = system matrix, vrbRM = right member:

mxaSys=[1.0,0.0,0.0; ...
   -1.0,-1.0,1.0; ...
   0.0,0.0,1.0];

vrbRM=[0.45000000000000007,0.0,1.0];

% Flows:
vrflowSol=mxaSys\vrbRM';
% Flow scales:
vrscaleFlow=[4000000.0,4000000.0,4000000.0];
% Flows in base units:
vrflowBase = vrflowSol.*vrscaleFlow';